Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226703 - system-config-printer goes on a traceback binge after a printer removal
Summary: system-config-printer goes on a traceback binge after a printer removal
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Update
TreeView+ depends on / blocked
 
Reported: 2007-02-01 00:43 UTC by Michal Jaegermann
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 0.7.52-1.fc6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-15 09:54:50 UTC


Attachments (Terms of Use)

Description Michal Jaegermann 2007-02-01 00:43:36 UTC
Description of problem:

Trying to figure out why I am getting an output scaled down by
a factor of 0.8 I removed the only configured printer and tried
to configure one from scratch.  Actually of a precisely the same
type and configuration as the one which was there previously.
'system-config-printer' decided to throw many errors while doing
that.  To wit:

 Traceback (most recent call last):
  File "/usr/share/system-config-printer/system-config-printer.py", line 2298,
in on_tvNPMakes_cursor_changed
    self.NPMake = model.get(iter, 0)[0]
TypeError: iter must be a GtkTreeIter
Traceback (most recent call last):
  File "/usr/share/system-config-printer/system-config-printer.py", line 2298,
in on_tvNPMakes_cursor_changed
    self.NPMake = model.get(iter, 0)[0]
TypeError: iter must be a GtkTreeIter
Traceback (most recent call last):
  File "/usr/share/system-config-printer/system-config-printer.py", line 2298,
in on_tvNPMakes_cursor_changed
    self.NPMake = model.get(iter, 0)[0]
TypeError: iter must be a GtkTreeIter
Traceback (most recent call last):
  File "/usr/share/system-config-printer/system-config-printer.py", line 2342,
in on_tvNPModels_cursor_changed
    pmodel = model.get(iter, 0)[0]
TypeError: iter must be a GtkTreeIter
Traceback (most recent call last):
  File "/usr/share/system-config-printer/system-config-printer.py", line 2342,
in on_tvNPModels_cursor_changed
    pmodel = model.get(iter, 0)[0]
TypeError: iter must be a GtkTreeIter
Traceback (most recent call last):
  File "/usr/share/system-config-printer/system-config-printer.py", line 2342,
in on_tvNPModels_cursor_changed
    pmodel = model.get(iter, 0)[0]
TypeError: iter must be a GtkTreeIter
Traceback (most recent call last):
  File "/usr/share/system-config-printer/system-config-printer.py", line 2342,
in on_tvNPModels_cursor_changed
    pmodel = model.get(iter, 0)[0]
TypeError: iter must be a GtkTreeIter
Traceback (most recent call last):
  File "/usr/share/system-config-printer/system-config-printer.py", line 2342,
in on_tvNPModels_cursor_changed
    pmodel = model.get(iter, 0)[0]
TypeError: iter must be a GtkTreeIter
Traceback (most recent call last):
  File "/usr/share/system-config-printer/system-config-printer.py", line 2342,
in on_tvNPModels_cursor_changed
    pmodel = model.get(iter, 0)[0]
TypeError: iter must be a GtkTreeIter
Traceback (most recent call last):
  File "/usr/share/system-config-printer/system-config-printer.py", line 2342,
in on_tvNPModels_cursor_changed
    pmodel = model.get(iter, 0)[0]
TypeError: iter must be a GtkTreeIter
Traceback (most recent call last):
  File "/usr/share/system-config-printer/system-config-printer.py", line 2342,
in on_tvNPModels_cursor_changed
    pmodel = model.get(iter, 0)[0]
TypeError: iter must be a GtkTreeIter
Traceback (most recent call last):
  File "/usr/share/system-config-printer/system-config-printer.py", line 2342,
in on_tvNPModels_cursor_changed
    pmodel = model.get(iter, 0)[0]
TypeError: iter must be a GtkTreeIter
/usr/lib/cups/filter/foomatic-rip: found
Traceback (most recent call last):
  File "/usr/share/system-config-printer/system-config-printer.py", line 1065,
in on_btnPMakeDefault_clicked
    os.remove (tmpfname)
OSError: [Errno 2] No such file or directory: '/tmp/tmpF56Yyw'
Traceback (most recent call last):
  File "/usr/share/system-config-printer/system-config-printer.py", line 1065,
in on_btnPMakeDefault_clicked
    os.remove (tmpfname)
OSError: [Errno 2] No such file or directory: '/tmp/tmp-w7DUI'
Traceback (most recent call last):
  File "/usr/share/system-config-printer/system-config-printer.py", line 1065,
in on_btnPMakeDefault_clicked
    os.remove (tmpfname)
OSError: [Errno 2] No such file or directory: '/tmp/tmperqsQu'

After all that noise I got a configured printer back.  There is only
one on that system.

Version-Release number of selected component (if applicable):
system-config-printer-0.7.49-1.fc7

How reproducible:
no idea

Comment 1 Tim Waugh 2007-02-07 16:03:45 UTC
Traceback (most recent call last):
  File "/usr/share/system-config-printer/system-config-printer.py", line 1065,
in on_btnPMakeDefault_clicked
    os.remove (tmpfname)
OSError: [Errno 2] No such file or directory: '/tmp/tmperqsQu'

I can see how this one happens, so I've fixed it.

As for the others, I can't see a way to reproduce it with the current code. :-/
 Please re-open if you see them again.

Comment 2 Tim Waugh 2007-02-07 17:02:39 UTC
Built in rawhide as 0.7.50-1.fc7.


Comment 3 Tim Waugh 2007-02-08 10:27:08 UTC
FC6 test update: 0.7.50-1.fc6.

Comment 4 Fedora Update System 2007-02-14 19:59:54 UTC
Fixed in update: system-config-printer-0.7.52-1.fc6


Note You need to log in before you can comment on or make changes to this bug.